#ifndef STRUCTS_H
#define STRUCTS_H

#include <gtk/gtk.h>
#include <libxml/tree.h>

typedef struct player {
        char *name;
        int cash;
        int piece;
	int playernum;
        int position;
	int tradeid;
	GtkWidget *grouptree[10];
	struct player *next;
} player;

typedef struct game 
{
	xmlChar *id;
	xmlChar *players;
	xmlChar *name;
	struct game *next;
} game;

typedef struct gamelist 
{
	struct game *games;
} gamelist;

typedef struct {
	int me;
	int currentturn;
} gmonopprefs;

typedef struct estate {
	char *name;
	player * owner;
	int mortgaged;
	int houses;
	int group;
	int ownable, mortgageable, unmortgageable, canbuyhouses, cansellhouses;
	int houseprice;
	int id;
	GtkCTreeNode *node;
} estate;

typedef struct trade 
{
	char *name;
	int id;
	int included[40];
	player *p[2];
	GtkWidget *widget;
	GtkWidget *frame[2];
	GtkWidget *tree[2];
	GtkCTreeNode *root[2];
	GtkWidget *moneytree[2];
	GtkCTreeNode *grouptree[10][2];
	GtkCTreeNode *esnode[40];
	GtkWidget *tablabel;
	struct trade *next;
} trade;

typedef struct auction
{
	player *actor;
	int id;
	int count;
	int highbid;
	estate *estate;
	player *highbidder;
	GtkWidget *widget;
	GtkWidget *tablabel;
	struct auction *next;
} auction;

#endif
